$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2023.10.0/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2023.10.0/cloudflared-windows-amd64.exe'

  checksum      = '2FB6C04C4F95FB8D158AF94C137F90AC820716DEAF88D8EBEC956254E046CB29'
  checksumType  = 'sha256'
  checksum64    = 'B3D21940A10FDEF5E415AD70331CE257C24FE3BCF7722262302E0421791F87E8'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
